get
/v1/iam/service-accounts/{service_account_id}Get service account
Get details of a specific service account
Path Parameters
service_account_id
string<uuid>requiredpath
Service Account ID
Example: "550e8400-e29b-41d4-a716-446655440000"
Responses
200
Service account details
Content-Type: application/json
service_account
objectoptionalAn API-only identity for programmatic access
401
Authentication required or token invalid
Content-Type: application/json
error
objectrequired403
Insufficient permissions
Content-Type: application/json
error
objectrequired404
Resource not found
Content-Type: application/json
error
objectrequired500
Internal server error
Content-Type: application/json
error
objectrequiredcurl -X GET "https://api.spo1.mycloud.com/v1/iam/service-accounts/550e8400-e29b-41d4-a716-446655440000" \-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \-H "Content-Type: application/json"
Response
Service account details
{"service_account": {"id": "550e8400-e29b-41d4-a716-446655440000","crn": "crn::iam:service-account:550e8400-e29b-41d4-a716-446655440000","name": "ci-cd-pipeline","display_name": "CI/CD Pipeline","description": "Service account for automated deployments","enabled": true,"groups": [{"id": "550e8400-e29b-41d4-a716-446655440000","name": "string"}],"created_at": "2024-01-15T10:30:00Z","updated_at": "2024-01-15T10:30:00Z"}}